import "@less/components/UiReactTestComponent.less";
import { AbstractUiComponent } from "./AbstractUiComponent";
import { UiReactTestComponentConfig } from "../generated/UiReactTestComponentConfig";
import { UiComponentConfig } from "../generated/UiComponentConfig";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
export declare class UiReactTestComponent extends AbstractUiComponent<UiReactTestComponentConfig> {
    private $main;
    constructor(config: UiComponentConfig, context: TeamAppsUiContext);
    destroy(): void;
    getMainDomElement(): HTMLElement;
}
